Skip to main content
Weavr API
Sends

Create a send

POST/sends

Sends funds between managed accounts and managed cards belonging to different corporate or consumer identities.

The source can be a managed account or managed card. The destination can be a managed account, managed card, or beneficiary. The specified Send Profile, configured in the Multi Portal, determines the transaction's fees and restrictions.

After creating the send, the user must complete a transaction confirmation challenge before it is processed. Check the state in the response to determine the next action. Set scheduledTimestamp to schedule execution for a future UTC date and time.

Request

Header parameters

Request body

*
application/json
{}
SendCreateRequestSendCreateRequest · object · 7 fields

Responses

200OK

Success

Headers
Body
application/json
{}
SendSend · object · 16 fields
Response example
{  "id": "string",  "profileId": "10001",  "tag": "customer-123",  "source": {    "id": "123456789",    "type": "managed_accounts"  },  "sourceFee": {    "currency": "GBP",    "amount": 1250  },  "destination": {    "id": "123456789",    "type": "managed_accounts"  },  "destinationAmount": {    "currency": "GBP",    "amount": 1250  },  "destinationFee": {    "currency": "GBP",    "amount": 1250  },  "transactionAmount": {    "currency": "GBP",    "amount": 1250  },  "description": "string",  "state": "INVALID",  "challengeExemptionReason": "LOW_VALUE",  "creationTimestamp": 0,  "scheduledTimestamp": "1786118400000",  "executionTimestamp": "string",  "cancellationReason": "string"}